﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Third Order VER /LO,SWPG
DATE:                  2011-06-10
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       127
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Initialize /LO
#        Sub Reset /SWPG
#        Sub Reset /LO
#        Sub FSP (1 yr) TOI Tests
#
#  Required Files:
#        fsp_toi_hookup_lo_swpg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 28 MHz to 4 GHz, CW (FSP-3)
#                         : 28 MHz to 7 GHz, CW (FSP-7)
#                         : 28 MHz to 13 GHz, CW (FSP-13)
#                         : 28 MHz to 26 GHz, CW (FSP-30)
#                         : 28 MHz to 40 GHz, CW (FSP-40)
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: +10 dBm
#            Resolution: ±0.05 dB
#
#          SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#
#        Local Oscillator (LO):
#          Frequency Range: 28 MHz to 4 GHz, CW (FSP-3)
#                         : 28 MHz to 7 GHz, CW (FSP-7)
#                         : 28 MHz to 13 GHz, CW (FSP-13)
#                         : 28 MHz to 26 GHz, CW (FSP-30)
#                         : 28 MHz to 40 GHz, CW (FSP-40)
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: +10 dBm
#            Resolution: ±0.05 dB
#
#          SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 26 GHz, ~6 dB insertion loss, output
#          tracking: <0.25 dB, equivalent output SWR: <1.22, HP/Agilent
#          11667B or equivalent
#        Attenuator, 10 dB, 50 Ohms, connectors suitable for use with Power
#          Splitter, 2 ea.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  IEEE         [@SWPG]
  1.004  ENDIF

  1.005  RSLT         =
  1.006  HEAD         {THIRD-ORDER INTERCEPT POINT}
  1.007  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]

  1.008  CALL         Sub Reset /LO
  1.009  CALL         Sub Reset /SWPG

  1.010  TARGET       -p
  1.011  PIC          fsp_toi_hookup_lo_swpg.jpg

  1.012  DISP         Connect the UUT 10 REF OUT (rear) to the
  1.012  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].
  1.012  DISP
  1.012  DISP         Connect the [V @SWPG_DevName] [V @SWPG_RefOut] to
  1.012  DISP         the [V @LO_DevName] [V @LO_RefIn].

  1.013  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.014  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -10
  1.015  SCPI         FREQ:CENT 28E+6;SPAN 500E+3;:BAND:RES 3E+3
  1.016  MATH         @RefLvl = -20; @TestLvl = -14
  1.017  MATH         @LoLimit = @RefLvl - 0.05; @HiLimit = @RefLvl + 0.05
  1.018  MATH         @Connection = "fsp_toi_hookup_swpg_uwsg"
  1.019  CALL         Sub FSP (1 yr) TOI Tests

  1.020  IF           @Opt_B25
  1.021  RSLT         =
  1.022  HEAD         {THIRD-ORDER INTERCEPT POINT (Option FSP-B25)}
  1.023  TARGET       -p
  1.024  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.025  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -10
  1.026  SCPI         FREQ:CENT 28E+6;SPAN 500E+3;:BAND:RES 3E+3
  1.027  SCPI         INP:EATT:STAT ON;:INP:EATT 0 DB
  1.028  MATH         @RefLvl = -20; @TestLvl = -14
  1.029  MATH         @LoLimit = @RefLvl - 0.05; @HiLimit = @RefLvl + 0.05
  1.030  MATH         @B25_On = 1
  1.031  CALL         Sub FSP (1 yr) TOI Tests
  1.032  MATH         DEL("@B25_On")
  1.033  ENDIF

  1.034  HEAD         -2
  1.035  CALL         Sub Initialize /LO
  1.036  CALL         Sub Reset /LO
  1.037  CALL         Sub Initialize /SWPG
  1.038  CALL         Sub Reset /SWPG
  1.039  SCPI         SYST:PRES
  1.040  HEAD
  1.041  VSET         UUT_RES = *
  1.042  END
