﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) µW Frequency Response VER /4418,SWPG
DATE:                  2011-06-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       252
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        FSP7, FSP13
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub FSP Take Sweep (MKPK)
#        Sub Level Signal /4418,8481,SWPG
#        Sub FSP µW Frequency Response Tests
#
#  Required Files:
#        fsp_freq_resp_hookup_swpg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 10 MHz to 13 GHz, CW
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: -10 to +6 dBm
#            Accuracy: ±2 dB
#
#  Additional Equipment Required:
#        Power Splitter, 50 Ohms, 10 MHz to 18 GHz, Type N, HP/Agilent
#          11667A or equivalent
#        Adapter, Type N (m) to Type N (m), 50 Ohms
#        Cable, coaxial, BNC (m)-(m), 50 Ohms, 48"
#        Cable, coaxial, Type N (m)-(m), 50 Ohms, 36"
#
#  NOTE ON UNCERTAINTY CALCULATIONS:
#  In the following tests, reference accuracy is computed as follows:
#  Worst case, k = 2, based on power meter instrumentation accuracy and zero
#  set uncertainty, power meter/sensor drift, power sensor cal factor
#  uncertainty, power sensor/splitter and splitter/UUT mismatch uncertainties,
#  and power splitter tracking error (port to port). The rss combination of
#  the uncertainties at both the reference frequency and the frequency of
#  interest are used. All values used in the above calculations were taken
#  from manufacturer's published specification and are, therefore, worst case.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  ENDIF

  1.004  RSLT         =
  1.005  HEAD         {FREQUENCY RESPONSE (> 3 GHz)}
  1.006  RSLT         =
  1.007  RSLT         =RF Attenuation: 10 dB
  1.008  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.009  TARGET       -p
  1.010  MATH         @Error = 0
  1.011  PIC          fsp_freq_resp_hookup_swpg.jpg

  1.012  IF           @UUT_MaxFreq < 13E+9
  1.013  DISP         The next routine operator intervention occurs
  1.013  DISP         in approximately 4 minutes...
  1.014  ELSE
  1.015  DISP         The next routine operator intervention occurs
  1.015  DISP         in approximately 7 minutes...
  1.016  ENDIF

  1.017  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB
  1.018  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.019  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.020  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS;*WAI
  1.021  SCPI         BAND:RES 10E+3;:INP:COUP DC
  1.022  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  1.023  CALL         Sub Apply /SWPG
  1.024  CALL         Sub FSP Take Sweep (MKPK)
  1.025  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  1.026  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  1.027  MATH         @TestName = "10 dB Ref Set (µW)"
  1.028  M4418  F64   8481A
  1.029  CALL         Sub Level Signal /4418,8481,SWPG

  1.030  IF           @Error
  1.031  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  MATH         @RefPower       = MEM
  2.005  MATH         @DevName1       = "Agilent E4418B"
  2.006  MATH         @SensorAccMode  = "Watts 100mW F64"
  2.007  MATH         @SensorSWR_Mode = "SWR 8481A"
  2.008  MATH         @DevName2       = "Agilent 11667A"
  2.009  MATH         @SpltrSWR_Mode  = "Output SWR"
  2.010  MATH         @SpltrTrackMode = "Tracking"
  2.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  2.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
  2.013  MATH         @RefUncPct = @LevelUncPct
  2.014  CALL         Sub FSP Take Sweep (MKPK)
  2.015  SCPI         CALC:MARK:Y?[I]
  2.016  MATH         @PreampOn = 0; @RefLvl = MEM
  2.017  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  2.018  MATH         @Atten = 10; @AttenType = "RF Attenuation"
  2.019  CALL         Sub FSP µW Frequency Response Tests

  2.020  IF           (@UUT_MaxFreq < 13E+9) && @Opt_B25
  2.021  RSLT         =
  2.022  HEAD         {FREQUENCY RESPONSE (> 3 GHz, Option FSP-B25)}
  2.023  RSLT         =
  2.024  RSLT         =Electronic Attenuator: 0 dB
  2.025  TARGET       -p
  2.026  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  2.027  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.028  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  2.029  SCPI         INP:EATT 0 DB;EATT:STAT ON;:DET:FUNC RMS
  2.030  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:BAND:RES 10E+3
  2.031  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  2.032  CALL         Sub Apply /SWPG
  2.033  CALL         Sub FSP Take Sweep (MKPK)
  2.034  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  2.035  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  2.036  MATH         @TestName = "B25 0 dB Ref Set (µW)"
  2.037  CALL         Sub Level Signal /4418,8481,SWPG

  2.038  IF           @Error
  2.039  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  MATH         @RefPower = MEM; @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  3.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  3.006  MATH         @RefUncPct = @LevelUncPct
  3.007  CALL         Sub FSP Take Sweep (MKPK)
  3.008  SCPI         CALC:MARK:Y?[I]
  3.009  MATH         @B25_On = 1; @RefLvl = MEM; @Atten = 0
  3.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  3.011  MATH         @AttenType = "Electronic Attenuator"
  3.012  CALL         Sub FSP µW Frequency Response Tests

  3.013  RSLT         =
  3.014  RSLT         =Electronic Attenuator: 5 dB
  3.015  TARGET       -p
  3.016  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  3.017  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  3.018  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  3.019  CALL         Sub Apply /SWPG
  3.020  CALL         Sub FSP Take Sweep (MKPK)
  3.021  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  3.022  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  3.023  MATH         @TestName = "B25 5 dB Ref Set (µW)"
  3.024  CALL         Sub Level Signal /4418,8481,SWPG

  3.025  IF           @Error
  3.026  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

  4.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  4.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  4.006  MATH         @RefUncPct = @LevelUncPct
  4.007  CALL         Sub FSP Take Sweep (MKPK)
  4.008  SCPI         CALC:MARK:Y?[I]
  4.009  MATH         @RefLvl = MEM; @Atten = 5
  4.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  4.011  CALL         Sub FSP µW Frequency Response Tests

  4.012  RSLT         =
  4.013  RSLT         =Electronic Attenuator: 10 dB
  4.014  TARGET       -p
  4.015  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  4.016  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  4.017  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  4.018  CALL         Sub Apply /SWPG
  4.019  CALL         Sub FSP Take Sweep (MKPK)
  4.020  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  4.021  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  4.022  MATH         @TestName = "B25 10 dB Ref Set (µW)"
  4.023  CALL         Sub Level Signal /4418,8481,SWPG

  4.024  IF           @Error
  4.025  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  5.001  MATH         @Error = 0
  5.002  END
  5.003  ENDIF

  5.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  5.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  5.006  MATH         @RefUncPct = @LevelUncPct
  5.007  CALL         Sub FSP Take Sweep (MKPK)
  5.008  SCPI         CALC:MARK:Y?[I]
  5.009  MATH         @RefLvl = MEM; @Atten = 10
  5.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  5.011  CALL         Sub FSP µW Frequency Response Tests

  5.012  RSLT         =
  5.013  RSLT         =Electronic Attenuator: 15 dB
  5.014  TARGET       -p
  5.015  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  5.016  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  5.017  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  5.018  CALL         Sub Apply /SWPG
  5.019  CALL         Sub FSP Take Sweep (MKPK)
  5.020  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  5.021  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  5.022  MATH         @TestName = "B25 15 dB Ref Set (µW)"
  5.023  CALL         Sub Level Signal /4418,8481,SWPG

  5.024  IF           @Error
  5.025  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  6.001  MATH         @Error = 0
  6.002  END
  6.003  ENDIF

  6.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  6.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  6.006  MATH         @RefUncPct = @LevelUncPct
  6.007  CALL         Sub FSP Take Sweep (MKPK)
  6.008  SCPI         CALC:MARK:Y?[I]
  6.009  MATH         @RefLvl = MEM; @Atten = 15
  6.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  6.011  CALL         Sub FSP µW Frequency Response Tests
  6.012  MATH         DEL("@B25_On")
  6.013  ENDIF

  6.014  HEAD         -2
  6.015  CALL         Sub Initialize /SWPG
  6.016  CALL         Sub Reset /SWPG
  6.017  SCPI         SYST:PRES
  6.018  HEAD
  6.019  END
